Creates a webhook subscription.
HTTP request
POST https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*/brands/*}/webhookSubscriptions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent brand, which owns this collection of webhook subscriptions. Format: projects/{project}/locations/{location}/brands/{brand} |
Query parameters
| Parameters | |
|---|---|
webhookSubscriptionId |
Optional. The ID to use for the webhook subscription, which will become the final component of the webhook subscription's resource name. This value should be 4-63 characters, and valid characters are [a-z0-9-], with the first character a letter and the last a letter or a number (RFC-1034). |
Request body
The request body contains an instance of WebhookSubscription.
Response body
If successful, the response body contains a newly created instance of WebhookSubscription.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.